Atom feed of this document
 

 List Ports Details

Verb URI Description
GET /tenants/tenant-id/networks/network-id/ports/detail Lists detailed information for all the ports currently defined for the network identified by network-id.

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403), NetworkNotFound (420)

This operation lists detailed information for all the ports currently configured for a network. Response for each port includes its identifier and the current administrative state. If no ports have been created on the network an empty list will be returned.

This operation does not require a request body.

 

Example 4.17. Port List Details Request/Response (XML)

Request:

GET /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/detail.xml               

Response:

<ports>
    <port 
    	id="98017ddc-efc8-4c25-a915-774b2a633855"
        state="ACTIVE"/>
    <port 
    	id="b832be00-6553-4f69-af33-acd554e36d08"
        state="ACTIVE"/>
</ports>
                    

 

Example 4.18. Port List Details Request/Response (JSON)

Request:

GET /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/detail.json	                

Response:

{
   "ports": [
       {
           "id": "98017ddc-efc8-4c25-a915-774b2a633855", 
           "state": "ACTIVE",
       },
       {
           "id": "b832be00-6553-4f69-af33-acd554e36d08",
           "state": "ACTIVE",
       }
   ]
}